Subject: Re: lockup and kernel panic in linux-next-202505{09,12} when compiled with clang

From: Bert Karwatzki <[email-masked]>
Date: Wed, 14 May 2025 00:15:29 +0200

commit 97f4b999e0c8 ("genirq: Use scoped_guard() to shut clang up") may me have been
a false lead, I reverted the following commit in next-20250512 and the boot failure
is still there.

73e2e0671c90 (HEAD -> clang_panic) Revert "genirq/manage: Convert to lock guards"
ff2e5dfa1c21 Revert "genirq/manage: Rework irq_update_affinity_desc()"
f2be1d787117 Revert "genirq/manage: Rework __irq_apply_affinity_hint()"
bc2493e2bdef Revert "genirq/manage: Rework irq_set_vcpu_affinity()"
8c1736260f99 Revert "genirq/manage: Rework __disable_irq_nosync()"
dd529a9bc52d Revert "genirq/manage: Rework enable_irq()"
75316d9120cf Revert "genirq/manage: Rework irq_set_irq_wake()"
544ff63947f5 Revert "genirq/manage: Rework can_request_irq()"
198028713b99 Revert "genirq/manage: Rework irq_set_parent()"
70a3f6953491 Revert "genirq/manage: Rework enable_percpu_irq()"
bcb28ca2603d Revert "genirq/manage: Rework irq_percpu_is_enabled()"
5858d87ac7e3 Revert "genirq/manage: Rework disable_percpu_irq()"
1a1f97a3dde0 Revert "genirq/manage: Rework prepare_percpu_nmi()"
e249ccf0dde0 Revert "genirq/manage: Rework teardown_percpu_nmi()"
9be3639bdde9 Revert "genirq: Remove irq_[get|put]_desc*()"
942b93a1ee9c Revert "genirq/manage: Rework irq_get_irqchip_state()"
8f731e7b7475 Revert "genirq/manage: Rework irq_set_irqchip_state()"
5bb621187696 Revert "genirq: Use scoped_guard() to shut clang up"
6539255c6012 Revert "wifi: free SKBTX_WIFI_STATUS skb tx_flags flag"
edef45700477 (tag: next-20250512, origin/master, origin/HEAD, master) Add linux-next specific files for 20250512

Bert Karwatzki